### Method

# Clutter InputMethod set_preedit_text_with_attrs

#### Declaration [src]

    void
    clutter_input_method_set_preedit_text_with_attrs (
      ClutterInputMethod* im,
      const gchar* preedit,
      unsigned int cursor,
      unsigned int anchor,
      ClutterPreeditResetMode mode,
      ClutterPreeditAttribute* preedit_hints,
      unsigned int n_preedit_hints
    )

#### Description [src]

Sets the preedit text on the current input focus. The `preedit_hints` array specifies the style hints applying to specific regions of the text.

#### Parameters

`preedit`

  Type: `const gchar*`

  The preedit text, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cursor`

  Type: `unsigned int`

  The cursor offset in characters.

`anchor`

  Type: `unsigned int`

  The anchor offset in characters.

`mode`

  Type: `ClutterPreeditResetMode`

  The reset mode.

`preedit_hints`

  Type: An array of `ClutterPreeditAttribute`

  The preedit hints.

  The argument can be `NULL`.
  The length of the array is specified in the `n_preedit_hints` argument.
  The data is owned by the caller of the method.

`n_preedit_hints`

  Type: `unsigned int`

  The number of preedit hints.